## org.hibernate.metamodel.source.annotations.attribute
Class SimpleIdentifierSourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.SimpleIdentifierSourceImpl

All Implemented Interfaces:
  IdentifierSource, SimpleIdentifierSource

    public class SimpleIdentifierSourceImpl

extends Object
implements SimpleIdentifierSource

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.metamodel.source.binder.IdentifierSource
`IdentifierSource.Nature`

Constructor Summary
`SimpleIdentifierSourceImpl(BasicAttribute attribute, Map<String,AttributeOverride> attributeOverrideMap)`

Method Summary
`SingularAttributeSource` `getIdentifierAttributeSource()` Obtain the source descriptor for the identifier attribute.
`IdGenerator` `getIdentifierGeneratorDescriptor()` Obtain the identifier generator source.
`IdentifierSource.Nature` `getNature()` Obtain the nature of this identifier source.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleIdentifierSourceImpl

    public SimpleIdentifierSourceImpl(BasicAttribute attribute,
                                      Map<String,AttributeOverride> attributeOverrideMap)

Method Detail

### getNature

    public IdentifierSource.Nature getNature()

  Description copied from interface: `IdentifierSource`
  Obtain the nature of this identifier source.

  Specified by:
    `getNature` in interface `IdentifierSource`
  Returns:
    The identifier source's nature.

### getIdentifierAttributeSource

    public SingularAttributeSource getIdentifierAttributeSource()

  Description copied from interface: `SimpleIdentifierSource`
  Obtain the source descriptor for the identifier attribute.

  Specified by:
    `getIdentifierAttributeSource` in interface `SimpleIdentifierSource`
  Returns:
    The identifier attribute source.

### getIdentifierGeneratorDescriptor

    public IdGenerator getIdentifierGeneratorDescriptor()

  Description copied from interface: `IdentifierSource`
  Obtain the identifier generator source.

  Specified by:
    `getIdentifierGeneratorDescriptor` in interface `IdentifierSource`
  Returns:
    The generator source.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.